Subject: RE: FVWM: Two questions

From: Will Morse <[email-masked]>
Date: Wed, 31 Mar 1999 08:59:08 -0600

I run fvwm from the CDE dtlogin - a hacked up 
version of xdm - with no problems.  In fact, its 
the only part of CDE that I never have problems
with!.

You need to have a directory /etc/dt which will 
contain overrides from the /usr/dt tree.  Among
these overrides are:

/etc/dt/config/C
/etc/dt/config/Xservers
/etc/dt/config/Xsession.fv2

/etc/dt/config/C/Xresources.d/Xresources.fv

This last looks like:
====================================
Dtlogin*altDtsIncrement:        True
Dtlogin*altDtName:      FVWM2 Desktop
!Dtlogin*altDtKey:       /usr/local/X11/bin/fvwm2
Dtlogin*altDtKey:       /usr/dt/bin/fvwm2
Dtlogin*altDtStart:     /etc/dt/config/Xsession.fv2
Dtlogin*altDtLogo:      FVlogo
====================================

with paths correct for your system and the 
Xsession.fv2 for your fvwm startup

Mine looks like

====================================
#!/bin/ksh
exec > /tmp/fvwm2.errors 2>&1
unset SDT_ALT_SESSION
unset SDT_ALT_HELLO
unset SDT_NO_DSDMexport
XFILESEARCHPATH=/usr/lib/X11/%T/%N:/usr/local/usr/lib/X11/%T/%N:/usr/local/X
11R
6.3/lib/X11/%T/%N:/usr/local/motif/usr/lib/X11/%T/%N:/usr/local/X11R6/lib/X1
1/%T/%N:/u
sr/local/dt/%L/%T/%N:/usr/local/%T/%N
export PATH=$PATH:/usr/dt/bin:/usr/openwin/bin
if [ "X$LD_LIBRARY_PATH" = "X" ]
then
     export
LD_LIBRARY_PATH=/usr/openwin/lib:/usr/dt/lib:/usr/lib:/usr/local/lib
else
     export
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/openwin/lib:/usr/dt/lib:/usr/lib:/us
r/local/lib
fi
 
if [ ! -f $HOME/.fvwm2rc ]
then
     cp /s2.5/local/etc/dt/config/C/template.fvwm2rc $HOME/.fvwm2rc
fi
/usr/openwin/bin/xconsole -iconic -geometry +2-2 &
/usr/dt/bin/fvwm2
#
# These should happen after exiting fvwm2
#
for i in `/bin/ps -eo "pid, comm" | grep fvwm | /bin/nawk '{print $1}'`
do 
    kill -9 $i
done
 
for i in `/bin/ps -eo "pid, comm" | grep Xsession | /bin/nawk '{print $1}'`
do 
    kill -9 $i
done
====================================================

Hope this helps

Will

> -----Original Message-----
> From:	Neil Bird [SMTP:[email-masked]]
> Sent:	Wednesday, March 31, 1999 4:37 AM
> To:	FVWM2 Mailing List
> Subject:	Re: FVWM: Two questions
> 
> Perttu K K Muurimaki wrote:
> > I have fvwm2 running on my home-linx and now I've started to use it at
> the
> > university too. They are running Solaris-unix with CDE-desktop
> > environment. With only suprisingly few problems I got fvwm2 running on
> top
> > of CDE, but tuning is hell. Problem: How do I tell the desktop to use
> it's
> > functions from a menu? When I quit fvwm2 CDE remains and I have no idea
> > how to launch the quit CDE session function.
> 
>   I don't know about running fvwm2 /on top of/ CDE - I'm suprised
> *anything* works! I personally select 'OpenWindows' login  from the CDE
> login menu, and have my .xinitrc start up fvwm2 instead of olwm.
> 
> 
> > Another (minor) thing. How can I launch an application on some random
> > page, go back to do what I was doing and the application would appear on
> > the page it was iniated. And I don't mean startsonpage -thing, because
> I'd
> > like it to work on any undetermined application and page.
> 
>   Um. There may be an easy way to do this, but off the top of my head you
> may have to do something tricky in a (csh/sh) script (using PipeRead)
> like:
> 
> #!/bin/csh
> # StartApp <pagex> <pagey> <app>
> 
> FvwmCommand 'Style "'$3'" StartsOnPage '"$1 $2"
> toolwait $argv[3-]
> FvwmCommand 'Style "'$3'"'
> 
>   'Cept that won't work as-is 'cos it'll clear (?) that app.'s Style
> settings ...
> 
> -- 
> ========================- http://www.rrds.co.uk/ -======================
>  Neil Bird                   |   This is who we are     The time is near
>                              |        There are 276 days remaining
>  mailto:[email-masked] |                           [ T-69 days! ]
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].